/*******************************************************************************
 * SkeletalMeshActorBasedOnExtremeContent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SkeletalMeshActorBasedOnExtremeContent extends SkeletalMeshActor
    native(Anim)
    placeable
    hidecategories(Navigation);

struct native SkelMaterialSetterDatum
{
    var() int MaterialIndex;
    var() MaterialInterface TheMaterial;

    structdefaultproperties
    {
        MaterialIndex=0
        TheMaterial=none
    }
};

var() array<SkelMaterialSetterDatum> ExtremeContent;
var() array<SkelMaterialSetterDatum> NonExtremeContent;

simulated event PostBeginPlay()
{
    super.PostBeginPlay();
    SetMaterialBasedOnExtremeContent();
    //return;    
}

simulated function SetMaterialBasedOnExtremeContent()
{
    local int Idx;

    // End:0xD6
    if(WorldInfo.GRI.ShouldShowGore())
    {
        Idx = 0;
        J0x42:
        // End:0xD3 [Loop If]
        if(Idx < ExtremeContent.Length)
        {
            SkeletalMeshComponent.SetMaterial(ExtremeContent[Idx].MaterialIndex, ExtremeContent[Idx].TheMaterial);
            ++ Idx;
            // [Loop Continue]
            goto J0x42;
        }
    }
    // End:0x172
    else
    {
        Idx = 0;
        J0xE1:
        // End:0x172 [Loop If]
        if(Idx < NonExtremeContent.Length)
        {
            SkeletalMeshComponent.SetMaterial(NonExtremeContent[Idx].MaterialIndex, NonExtremeContent[Idx].TheMaterial);
            ++ Idx;
            // [Loop Continue]
            goto J0xE1;
        }
    }
    //return;    
}

defaultproperties
{
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__SkeletalMeshActorBasedOnExtremeContent.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__SkeletalMeshActorBasedOnExtremeContent.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__SkeletalMeshActorBasedOnExtremeContent.SkeletalMeshComponent0'
    SkeletalMeshComponent=SkeletalMeshComponent0
    LightEnvironment=DynamicLightEnvironmentComponent'Default__SkeletalMeshActorBasedOnExtremeContent.MyLightEnvironment'
    FacialAudioComp=AudioComponent'Default__SkeletalMeshActorBasedOnExtremeContent.FaceAudioComponent'
    Components(0)=DynamicLightEnvironmentComponent'Default__SkeletalMeshActorBasedOnExtremeContent.MyLightEnvironment'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__SkeletalMeshActorBasedOnExtremeContent.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__SkeletalMeshActorBasedOnExtremeContent.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__SkeletalMeshActorBasedOnExtremeContent.SkeletalMeshComponent0'
    Components(1)=SkeletalMeshComponent0
    Components(2)=AudioComponent'Default__SkeletalMeshActorBasedOnExtremeContent.FaceAudioComponent'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__SkeletalMeshActorBasedOnExtremeContent.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__SkeletalMeshActorBasedOnExtremeContent.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__SkeletalMeshActorBasedOnExtremeContent.SkeletalMeshComponent0'
    CollisionComponent=SkeletalMeshComponent0
}